opamp_sando's blog

クソザコが割りと適当なことを書くためにある備忘録です。あとたまに普通の日記も書きます

sbtでscalatestを使う (scala 2.10.2)

scalaでちょっとしたライブラリでも作って練習してみようと思ってテストを書くときscalatestを使うことにしたんだけど、ここに書いてある通りにすると次のようなエラーが出た。

> test
[info] Updating {file:/path/to/project/}default-cbe989...
[info] Resolving org.scalatest#scalatest_2.10;1.6.1 ...
[warn]  module not found: org.scalatest#scalatest_2.10;1.6.1
[warn] ==== local: tried
.
.
.
.

なんじゃこりゃ。
ということでよくわからないのでいろいろググってみたら次のような記事を見つけた。

http://blog.japila.pl/2013/02/getting-started-with-sbt-and-scalatest-for-scala-projects/

で、ここによると、

libraryDependencies += "org.scalatest" %% "scalatest" % "2.0.M6-SNAP9" % "test"

という具合に書き直すと幸せになれるそうな。
つまりはバージョンが古かったということかな?

とりあえずこれでtestがうまく走るようになった。

あ、今日もしかして6月最後の日じゃね。もう7月か。早いな...
俺が\(^o^)/になるのもそう遠くない気がしてならない

Firefox ブラウザ無料ダウンロード